<template>
  <button
    type="button"
    aria-label="button"
    :class="{
      primary: main,
      secondary: secondary,
      black: black,
      blue: blue,
      red: red,
      green: green,
      'cursor-not-allowed opacity-50': disabled,
      ghost: ghost,
      'text-red': textRed,
    }"
    class="focus:outline-none"
    @click="onClick"
  >
    <slot>Button</slot>
  </button>
</template>

<script>
export default {
  props: {
    main: {
      type: Boolean,
      default: false,
    },
    secondary: {
      type: Boolean,
      default: false,
    },
    ghost: {
      type: Boolean,
      default: false,
    },
    textRed: {
      type: Boolean,
      default: false,
    },
    red: {
      type: Boolean,
      default: false,
    },
    green: {
      type: Boolean,
      default: false,
    },
    blue: {
      type: Boolean,
      default: false,
    },
    black: {
      type: Boolean,
      default: false,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
    onClick: {
      type: Function,
      default: () => {},
      required: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.green {
  background-color: $green;
  color: $white;
}
.blue {
  background-color: $blue;
  color: $white;
}
.red {
  background-color: $red;
  color: $white;
}
.ghost {
  background-color: transparent;
}
.text-red {
  color: $red !important;
}
.dark-mode {
  .primary {
    background-color: $red;
    color: $white;
  }
  .secondary {
    background-color: $white;
    color: $black-alt;
  }
  .ghost {
    color: $white;
  }
}
.light-mode {
  .primary {
    background-color: $red;
    color: $white;
  }
  .secondary {
    background-color: $white;
    color: $black-alt;
  }
  .black {
    background-color: $black-alt;
    color: $white;
  }
  .white {
    color: $black-alt;
  }
}
</style>
